- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.visualFamilies/import#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.visualFamilies/import#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.visualFamilies/import#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.visualFamilies/import#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.visualFamilies/import#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.visualFamilies/import#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.visualFamilies/import#body.aspect_1)

**Full name**: projects.locations.instances.ontologyRecords.visualFamilies.import

Imports multiple visual families from a ZIP file. Use this method for bulk- uploading custom relationship models and their associated icons.

### HTTP request

`POST https://{endpoint}/v1alpha/{parent}/visualFamilies:import`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The ontology record to import visual families for. Format: projects/{project}/locations/{location}/instances/{instance}/ontologyRecords/{ontologyRecord} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "content": string } ``` |

| Fields ||
|---|---|
| `content` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The visual families to import as bytes. A base64-encoded string. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.visualFamilies.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).